LibreOffice: XPropertySetInfo Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XPropertySetInfo Interface Referencepublished

specifies a set of properties. More...

`import"XPropertySetInfo.idl";`

Inheritance diagram for XPropertySetInfo:

## Public Member Functions
sequence< com::sun::star::beans::Property > | getProperties ()
com::sun::star::beans::Property | getPropertyByName ([in] string aName) raises ( com::sun::star::beans::UnknownPropertyException )
boolean | hasPropertyByName ([in] string Name)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a set of properties.

There are three kinds of properties:

- bound properties
- constrained properties
- free properties

The specification only describes the properties, it does not contain any values.

Developers Guide
  ProUNO - Properties

## Member Function Documentation

## ◆ getProperties()

sequence< com::sun::star::beans::Property > getProperties | ( |  | ) |

Returns
  a sequence with all property descriptors which are specified within this XPropertySetInfo.

## ◆ getPropertyByName()

com::sun::star::beans::Property getPropertyByName | ( | [in] string | aName | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |

Returns
  the property with the specified name from the object.

Parameters

  aName | specifies the name of the property.

Exceptions

  UnknownPropertyException | if the property does not exist.

## ◆ hasPropertyByName()

boolean hasPropertyByName | ( | [in] string | Name | ) |

Returns
  `TRUE` if a property with the specified name exist; otherwise `FALSE` is returned.

Parameters

  Name | specifies the name of the property.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XPropertySetInfo.idl